#!/bin/bash
SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"

set -e

# set current directory
cwd=$(pwd)

WP_CONTENT_PATH=${cwd}/www/wp-content

# Handle dropin-files into wp-content directory
if [[ -d ${WP_CONTENT_PATH}/dropins ]]; then
  cp -pfr ${WP_CONTENT_PATH}/dropins/*.php ${WP_CONTENT_PATH}/
else
  DROPIN_FILES=(
    ${WP_CONTENT_PATH}/advanced-cache.php
    ${WP_CONTENT_PATH}/object-cache.php
    ${WP_CONTENT_PATH}/sunrise.php
  )
  rm -rf ${DROPIN_FILES[@]}
fi

# "cp-ledge-invalidate"
if [[ -d ${WP_CONTENT_PATH}/mu-plugins/everyware-plugin-cache-invalidator ]]; then
  cp -pfr ${WP_CONTENT_PATH}/mu-plugins/everyware-plugin-cache-invalidator/example.lua ${cwd}/lua/ledge-invalidate/lua.lua
else
  rm -f ${cwd}/lua/ledge-invalidate/lua.lua
fi

# "cp-nginx-aws" and "cp-nginx-dev"
if [[ -d ${cwd}/nginx/standard/common ]]; then
  xargs -n 1 cp -pfr ${cwd}/nginx/standard/common <<<"${cwd}/nginx/standard/aws/ ${cwd}/nginx/standard/dev/"
fi
